<? echo "Modificando / Procesando";?>


<?php
$indiceReceta = $_REQUEST['indiceReceta'];
error_reporting(E_ALL & ~E_NOTICE & ~E_WARNING);
$descrip= $_POST['DescripcionReceta2'];
$ingredientes= $_POST['Ingredientes2'];
$elaboracion= $_POST['Elaboracion2'];

$comensales= $_POST['ComensalesReceta2'];
$tiempo= $_POST['TiempoRecetaServer2'];
$dificultad= $_POST['DificultadRecetaServer2'];
$coste= $_POST['CosteRecetaServer2'];

$nuevaImagen=0;

function filesize_format($bytes, $format = '', $force = ''){
	$bytes=(float)$bytes;
	if ($bytes <1024){
		$numero=number_format($bytes, 0, '.', ',');
		return array($numero,"B");
	}
	if ($bytes <1048576){
		$numero=number_format($bytes/1024, 2, '.', ',');
		return array($numero,"KBs");
	}
	if ($bytes>= 1048576){
		$numero=number_format($bytes/1048576, 2, '.', ',');
		return array($numero,"MB");
	}
}

if(sizeof($_FILES)==0){
	echo "No se puede subir el archivo";
	exit();
}


//Variable que nos indica errores:
	$error = 0;
	
//Verificamos que se trate de un tipo de archivo adecuado:	

$tipo = $_FILES["archivo"]["type"];
	
if($tipo!=""){
	echo "FileSelected";
	if(($tipo!="image/jpg")&&($tipo!="image/jpeg")&&($tipo!="image/png")&&($tipo!="image/bmp")&&($tipo!="image/gif")){
		$error = 1;
	}else{
		$nuevaImagen=1;
	}
}else{
	echo "noFileSelected";
	mysql_connect("localhost","root","adfbk");
	mysql_select_db("principal");
	mysql_query("UPDATE trecetas2 SET descripcion='$descrip', ingredientes='$ingredientes', elaboracion='$elaboracion', tiempo='$tiempo', dificultad='$dificultad', coste='$coste', comensales='$comensales'  WHERE codigoR=$indiceReceta");
	mysql_close();
	?>  <script type="text/javascript"> 
			alert("Archivo Modificado Correctamente\n");
			window.location = "../mostrar.php?indiceReceta= <?php echo $indiceReceta?>"; 
		</script> <?php
}



	
//Variable para almacenar el nombre temporal de la imagen:
$archivo = $_FILES["archivo"]["tmp_name"];

//Definimos un array para almacenar el tamaņo del archivo
$tamanio=array();

//OBTENEMOS EL TAMAŅO DEL ARCHIVO
$tamanio = $_FILES["archivo"]["size"];

//OBTENEMOS EL TIPO MIME DEL ARCHIVO
$tipo = $_FILES["archivo"]["type"];

//OBTENEMOS EL NOMBRE REAL DEL ARCHIVO AQUI SI SERIA foto.jpg
$nombre_archivo = $_FILES["archivo"]["name"];

//PARA HACERNOS LA VIDA MAS FACIL EXTRAEMOS LOS DATOS DEL REQUEST

extract($_REQUEST);

if (($archivo != "none")&&($error==0)&&($nuevaImagen==1)){
	$fp = fopen($archivo, "rb");
	$contenido = fread($fp, $tamanio);
	$contenido = addslashes($contenido);
	fclose($fp);
	if ($tamanio <1048576){
		$tamanio=filesize_format($tamanio);
	}
		$qry = "UPDATE trecetas2 SET descripcion='$descrip', ingredientes='$ingredientes', elaboracion='$elaboracion', tiempo='$tiempo', dificultad='$dificultad', coste='$coste', comensales='$comensales', nombre_archivo='$nombre_archivo', contenido='$contenido', tipo='$tipo', tamanio='{$tamanio[0]}', tamanio_unidad='{$tamanio[1]}' WHERE codigoR=$indiceReceta";
		mysql_connect("localhost","root","adfbk") or die("No se pudo conectar a la base de datos");
		mysql_select_db("principal");
		mysql_query($qry) or die("Query: $qry <br />Error: ".mysql_error());
		mysql_close();
	

//Si no hay errores; procedemos a agregar el registro; de caso contrario mostramos el error.
	?>  <script type="text/javascript"> 
			alert("Archivo Modificado Correctamente\n");
			window.location = "../mostrar.php?indiceReceta= <?php echo $indiceReceta?>"; 
		</script> <?php
	} else if($error==1){ ?>  
		<script type="text/javascript"> 
			alert("Error: el archivo subido no es una imagen Valida\n");
			window.location ="../index.php";  
		</script>
		<?php
	}else{ ?>
		<script type="text/javascript"> 
			alert("Error: no fue posible modificar el archivo\n");
			window.location ="../index.php";  
		</script> 
		<?php
	}
?>
